=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.15),
                libkf5windowsystem-dev (>= 5.15),
                libkf5xmlgui-dev (>= 5.15),
-               libktorrent-dev (>= 21.12.3~),
+               libktorrent-dev (>= 22.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,
