## ktorrent 22.12.0

=== debian/changelog ===
ktorrent (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:44 +0100

ktorrent (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Removed Modestas Vainius from the uploaders, thanks for your work on
    the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop deprecated lintian override.
  * Complete upstream metadata.
  * Change maintainer to Debian Qt/KDE Maintainers now that ktorrent is part
    of the Gear set.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Rewrite copyright information in machine-readable format.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Mar 2022 22:04:43 +0100

ktorrent (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release based from KDE Gears (21.08.0).
  * Update watch file.
  * Add upstream signing key.
  * Drop patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Aug 2021 11:43:52 +0900
