=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
   message(STATUS "Not building ${_name} plugin (-D${_option}=true to enable)")
 endif (${_option})
 ENDMACRO (MACRO_KT_PLUGIN)
+
+function(ktorrent_add_plugin name)
+    kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "ktorrent_plugins")
+endfunction()
 
 macro_kt_plugin(ENABLE_LOGVIEWER_PLUGIN logviewer logviewer)
 macro_kt_plugin(ENABLE_INFOWIDGET_PLUGIN infowidget infowidget)
