=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.91~),
@@ -43,7 +43,7 @@
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.7.0),
                qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
@@ -55,7 +55,7 @@
          libktorrent-l10n,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: geoip-database, krosspython
+Suggests: geoip-database, krosspython,
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
  is based on the KDE platform. Obviously, KTorrent supports such basic features
@@ -83,8 +83,8 @@
 
 Package: ktorrent-data
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: ktorrent (>= ${source:Version})
+Depends: ${misc:Depends},
+Recommends: ktorrent (>= ${source:Version}),
 Description: KTorrent data and other architecture independent files
  This package contains architecture independent data files for KTorrent,
  a BitTorrent peer-to-peer network client. Unless you have ktorrent package
